# Class ProgressDataStoreFactory

java.lang.Object
uk.ac.starlink.ttools.plot2.data.WrapperDataStoreFactory
uk.ac.starlink.topcat.plot2.ProgressDataStoreFactory

All Implemented Interfaces:
  `uk.ac.starlink.ttools.plot2.data.DataStoreFactory`

public class ProgressDataStoreFactory extends uk.ac.starlink.ttools.plot2.data.WrapperDataStoreFactory
DataStoreFactory wrapper which messages a progress bar model as row data is read from the tables to fill the store.

Since:
  8 Nov 2013
Author:
  Mark Taylor

## Constructor Summary

Constructors
Constructor
Description
`ProgressDataStoreFactory(uk.ac.starlink.ttools.plot2.data.DataStoreFactory baseFact, BoundedRangeModel progModel)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`protected uk.ac.starlink.table.RowAccess`
`createRowAccess(uk.ac.starlink.table.StarTable table)`
`protected uk.ac.starlink.table.RowSequence`
`createRowSequence(uk.ac.starlink.table.StarTable table)`
`protected uk.ac.starlink.table.RowSplittable`
`createRowSplittable(uk.ac.starlink.table.StarTable table)`

### Methods inherited from class uk.ac.starlink.ttools.plot2.data.WrapperDataStoreFactory

`readDataStore`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ProgressDataStoreFactory

public ProgressDataStoreFactory(uk.ac.starlink.ttools.plot2.data.DataStoreFactory baseFact, BoundedRangeModel progModel)
Constructor.

Parameters:
  `baseFact` - factory to which most behaviour is delegated
  `progModel` - progress bar data model to be messaged

## Method Details

### createRowSequence

protected uk.ac.starlink.table.RowSequence createRowSequence(uk.ac.starlink.table.StarTable table) throws IOException

Specified by:
  `createRowSequence` in class `uk.ac.starlink.ttools.plot2.data.WrapperDataStoreFactory`
Throws:
  `IOException`

### createRowSplittable

protected uk.ac.starlink.table.RowSplittable createRowSplittable(uk.ac.starlink.table.StarTable table) throws IOException

Specified by:
  `createRowSplittable` in class `uk.ac.starlink.ttools.plot2.data.WrapperDataStoreFactory`
Throws:
  `IOException`

### createRowAccess

protected uk.ac.starlink.table.RowAccess createRowAccess(uk.ac.starlink.table.StarTable table) throws IOException

Specified by:
  `createRowAccess` in class `uk.ac.starlink.ttools.plot2.data.WrapperDataStoreFactory`
Throws:
  `IOException`